%define upstream_name    Data-Util
%define upstream_version 0.63

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Exports subrtouines lexically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Data-Util-0.63-fix-build.patch

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.180.0
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Test::Exception) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel

%global __requires_exclude  %{?__requires_exclude}|^perl\\(Data::Util/PurePerl\\)

%description
This module provides utility functions for data and data types, including
functions for subroutines and symbol table hashes (stashes).

The implementation of this module is both Pure Perl and XS, so if you have
a C compiler, all the functions this module provides are really faster.

There are many benchmarks in the _DIST-DIR/benchmark/_ directory.

%prep
%setup -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.630.0-10pclos2017
- rebuild against updates

